package com.bonus.canteen.core.allocation.canteen.vo;

import com.bonus.canteen.core.common.encrypt.LeNiuDecryptDataProcess;
import com.bonus.canteen.core.common.encrypt.LeNiuDecryptField;
import com.bonus.canteen.core.common.utils.SysUtil;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.time.LocalDateTime;
import java.time.LocalTime;

@ApiModel("AllocCanteenVO")
@LeNiuDecryptDataProcess
public class AllocCanteenVO {
   @ApiModelProperty("食堂id")
   private Long canteenId;
   @ApiModelProperty("区域id")
   private Long areaId;
   @ApiModelProperty("食堂编号")
   private String canteenNum;
   @ApiModelProperty("食堂名称")
   private String canteenName;
   @ApiModelProperty("所属区域")
   private String areaNameStr;
   @ApiModelProperty("人员id")
   private Long custId;
   @ApiModelProperty("人员姓名")
   @LeNiuDecryptField
   private String custName;
   @ApiModelProperty("授权人员")
   private Long effId;
   @ApiModelProperty("联系电话")
   private String contactTel;
   @ApiModelProperty("食堂标签")
   private String labelNameStr;
   @ApiModelProperty("食堂营业状态")
   private Integer businessState;
   @ApiModelProperty("主营项目")
   private String mainProject;
   @ApiModelProperty("营业时间")
   private LocalTime startBusinessTime;
   private LocalTime endBusinessTime;
   @ApiModelProperty("食堂图片链接")
   private String imgUrl;
   @ApiModelProperty("最大容纳人数")
   private Integer capacity;
   @ApiModelProperty("是否支持报餐")
   private Integer ifBook;
   @ApiModelProperty("是否支持预定餐")
   private Integer ifReserve;
   @ApiModelProperty("食堂收款码链接")
   private String payCodeUrl;
   @ApiModelProperty("创建时间")
   private LocalDateTime crtime;
   @ApiModelProperty("更新时间")
   private LocalDateTime uptime;
   @ApiModelProperty("食堂业务类型 1-食堂 2-超市")
   private Integer canteenType;
   @ApiModelProperty("食堂特殊标识")
   private Integer specialFlag;

   public String getImgUrl() {
      return SysUtil.getCutFileUrl(this.imgUrl);
   }

   public String getPayCodeUrl() {
      return SysUtil.getCutFileUrl(this.payCodeUrl);
   }

   public Long getCanteenId() {
      return this.canteenId;
   }

   public Long getAreaId() {
      return this.areaId;
   }

   public String getCanteenNum() {
      return this.canteenNum;
   }

   public String getCanteenName() {
      return this.canteenName;
   }

   public String getAreaNameStr() {
      return this.areaNameStr;
   }

   public Long getCustId() {
      return this.custId;
   }

   public String getCustName() {
      return this.custName;
   }

   public Long getEffId() {
      return this.effId;
   }

   public String getContactTel() {
      return this.contactTel;
   }

   public String getLabelNameStr() {
      return this.labelNameStr;
   }

   public Integer getBusinessState() {
      return this.businessState;
   }

   public String getMainProject() {
      return this.mainProject;
   }

   public LocalTime getStartBusinessTime() {
      return this.startBusinessTime;
   }

   public LocalTime getEndBusinessTime() {
      return this.endBusinessTime;
   }

   public Integer getCapacity() {
      return this.capacity;
   }

   public Integer getIfBook() {
      return this.ifBook;
   }

   public Integer getIfReserve() {
      return this.ifReserve;
   }

   public LocalDateTime getCrtime() {
      return this.crtime;
   }

   public LocalDateTime getUptime() {
      return this.uptime;
   }

   public Integer getCanteenType() {
      return this.canteenType;
   }

   public Integer getSpecialFlag() {
      return this.specialFlag;
   }

   public void setCanteenId(final Long canteenId) {
      this.canteenId = canteenId;
   }

   public void setAreaId(final Long areaId) {
      this.areaId = areaId;
   }

   public void setCanteenNum(final String canteenNum) {
      this.canteenNum = canteenNum;
   }

   public void setCanteenName(final String canteenName) {
      this.canteenName = canteenName;
   }

   public void setAreaNameStr(final String areaNameStr) {
      this.areaNameStr = areaNameStr;
   }

   public void setCustId(final Long custId) {
      this.custId = custId;
   }

   public void setCustName(final String custName) {
      this.custName = custName;
   }

   public void setEffId(final Long effId) {
      this.effId = effId;
   }

   public void setContactTel(final String contactTel) {
      this.contactTel = contactTel;
   }

   public void setLabelNameStr(final String labelNameStr) {
      this.labelNameStr = labelNameStr;
   }

   public void setBusinessState(final Integer businessState) {
      this.businessState = businessState;
   }

   public void setMainProject(final String mainProject) {
      this.mainProject = mainProject;
   }

   public void setStartBusinessTime(final LocalTime startBusinessTime) {
      this.startBusinessTime = startBusinessTime;
   }

   public void setEndBusinessTime(final LocalTime endBusinessTime) {
      this.endBusinessTime = endBusinessTime;
   }

   public void setImgUrl(final String imgUrl) {
      this.imgUrl = imgUrl;
   }

   public void setCapacity(final Integer capacity) {
      this.capacity = capacity;
   }

   public void setIfBook(final Integer ifBook) {
      this.ifBook = ifBook;
   }

   public void setIfReserve(final Integer ifReserve) {
      this.ifReserve = ifReserve;
   }

   public void setPayCodeUrl(final String payCodeUrl) {
      this.payCodeUrl = payCodeUrl;
   }

   public void setCrtime(final LocalDateTime crtime) {
      this.crtime = crtime;
   }

   public void setUptime(final LocalDateTime uptime) {
      this.uptime = uptime;
   }

   public void setCanteenType(final Integer canteenType) {
      this.canteenType = canteenType;
   }

   public void setSpecialFlag(final Integer specialFlag) {
      this.specialFlag = specialFlag;
   }

}
